<?xml version="1.0" encoding="UTF-8"?>
<!-- Created with Jaspersoft Studio version 6.5.1.final using JasperReports Library version 6.5.1  -->
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="RegisterPP" pageWidth="595" pageHeight="842" columnWidth="555" leftMargin="20" rightMargin="20" topMargin="20" bottomMargin="20" uuid="3a77814b-0f63-4baa-b09f-17779714eef7">
	<property name="com.jaspersoft.studio.data.defaultdataadapter" value="SBSServer"/>
	<parameter name="idregister" class="java.lang.String"/>
	<queryString>
		<![CDATA[select 
							a.noregis as noregis,
							a.dtcreate as tglregis,
							a.createdby as regisby,
							c.nopurchaseorder as nopp,
							b.pic as pic,
							c.needs as tipepp,
							c.divition as div,
							c.dtnecessity as tglbutuh
							from registerpp a
							join registerpp_detail b on a.idregister = b.idregis
							join purchase_orders c on b.idpurchaseorder = c.idpurchaseorder
							where b.isregister = 1 and a.idregister = $P{idregister}]]>
	</queryString>
	<field name="nopp" class="java.lang.String"/>
	<field name="tglregis" class="java.sql.Date"/>
	<field name="regisby" class="java.lang.String"/>
	<field name="noregis" class="java.lang.String"/>
	<field name="pic" class="java.lang.String"/>
	<field name="tipepp" class="java.lang.String"/>
	<field name="div" class="java.lang.String"/>
	<field name="tglbutuh" class="java.util.Date"/>
	<background>
		<band splitType="Stretch"/>
	</background>
	<title>
		<band height="80" splitType="Stretch">
			<staticText>
				<reportElement x="0" y="0" width="82" height="20" uuid="885f35ce-76d5-43d9-b0a8-940917da6a53"/>
				<textElement>
					<font fontName="Arial" size="12" isBold="true"/>
				</textElement>
				<text><![CDATA[REGISTER PP]]></text>
			</staticText>
			<textField>
				<reportElement x="0" y="20" width="280" height="20" uuid="5996dd4c-5a0d-4575-a85b-12bb230c9bfe"/>
				<textElement textAlignment="Left" verticalAlignment="Middle">
					<font fontName="Arial" size="12" isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA["Nomor Regis : " + $F{noregis}]]></textFieldExpression>
			</textField>
			<textField pattern="dd-MMMM-yyyy">
				<reportElement x="0" y="40" width="280" height="20" uuid="8ed6e97a-8b1e-42c2-bfd7-ddddab634425"/>
				<textElement textAlignment="Left" verticalAlignment="Middle">
					<font fontName="Arial" size="12" isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA["Tanggal Register : " +new SimpleDateFormat("dd-MMMM-yyyy", new java.util.Locale("id")).format( $F{tglregis})]]></textFieldExpression>
			</textField>
			<textField pattern="dd-MMMM-yyyy">
				<reportElement x="354" y="60" width="196" height="20" uuid="0c12eb3b-b008-4b13-b6de-d1da0a886bb4"/>
				<textElement textAlignment="Justified" verticalAlignment="Middle">
					<font fontName="Arial" size="12" isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA["Tanggal Cetak : " + new SimpleDateFormat("dd-MMMM-yyyy", new java.util.Locale("id")).format(new java.util.Date())]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="0" y="60" width="280" height="20" uuid="8787fd16-3be4-4656-a756-c3ce8662515e"/>
				<textElement textAlignment="Left" verticalAlignment="Middle">
					<font fontName="Arial" size="12" isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA["Register Oleh : " +$F{regisby}]]></textFieldExpression>
			</textField>
		</band>
	</title>
	<columnHeader>
		<band height="30" splitType="Stretch">
			<staticText>
				<reportElement x="0" y="0" width="130" height="30" uuid="dd8a8cc5-62b8-49f2-8d4d-dc305adb8562">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="ac166810-e1e6-4d81-946a-c42687f0afa6"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Arial" isBold="true"/>
				</textElement>
				<text><![CDATA[Nomor PP]]></text>
			</staticText>
			<staticText>
				<reportElement x="130" y="0" width="60" height="30" uuid="321f37fd-cc31-4fcb-9dbc-681031272e8e">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="849c093f-6e31-4c4b-b4da-ca83d8e1b0ed"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Arial" isBold="true"/>
				</textElement>
				<text><![CDATA[Jenis PP]]></text>
			</staticText>
			<staticText>
				<reportElement x="190" y="0" width="60" height="30" uuid="de586eb3-099b-4300-ac96-932cb43a28a6">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="f61d0050-8460-473f-908d-93199d678df9"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Arial" isBold="true"/>
				</textElement>
				<text><![CDATA[Divisi]]></text>
			</staticText>
			<staticText>
				<reportElement x="250" y="0" width="99" height="30" uuid="6cc1f8bf-6839-4510-8959-4ae381271d3a">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="be5a5680-268f-4762-9243-4b5fa6f17752"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Arial" isBold="true"/>
				</textElement>
				<text><![CDATA[Tanggal Dibutuhkan]]></text>
			</staticText>
			<staticText>
				<reportElement x="349" y="0" width="56" height="15" uuid="c987e1ff-16db-487f-835e-7a5ccd30e2a4">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="b82e1e98-4487-4e75-9005-1429fc172c49"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Arial" size="10" isBold="true"/>
				</textElement>
				<text><![CDATA[Pembelian]]></text>
			</staticText>
			<textField>
				<reportElement x="349" y="15" width="56" height="15" uuid="a51e82ed-246d-4e5c-8f6e-ab4c852ce32a">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="b82e1e98-4487-4e75-9005-1429fc172c49"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Arial" isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{pic}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="405" y="0" width="145" height="15" uuid="e02a96b5-05f8-4bc6-8c9b-60238e319102"/>
				<box>
					<topPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
					<rightPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Arial" size="10" isBold="true"/>
				</textElement>
				<text><![CDATA[Managemen]]></text>
			</staticText>
			<staticText>
				<reportElement x="405" y="15" width="75" height="15" uuid="1b1784a2-b369-4733-99ee-31bd1c74e808"/>
				<box>
					<topPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Arial" size="10" isBold="true"/>
				</textElement>
				<text><![CDATA[Diserahkan]]></text>
			</staticText>
			<staticText>
				<reportElement x="480" y="15" width="70" height="15" uuid="7282d8e8-55e7-4707-a86a-ab00fc5c5ff5"/>
				<box>
					<topPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
					<rightPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Arial" size="10" isBold="true"/>
				</textElement>
				<text><![CDATA[Diterima]]></text>
			</staticText>
		</band>
	</columnHeader>
	<detail>
		<band height="15" splitType="Stretch">
			<textField>
				<reportElement x="0" y="0" width="130" height="15" uuid="7e726fc8-ec91-4e3a-b2c3-7f3c86bc132d">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="ac166810-e1e6-4d81-946a-c42687f0afa6"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Arial"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{nopp}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="130" y="0" width="60" height="15" uuid="0a1508df-b0c7-4578-a3fb-d02462f09d13">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="849c093f-6e31-4c4b-b4da-ca83d8e1b0ed"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Arial"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{tipepp}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="190" y="0" width="60" height="15" uuid="b35903e9-fc57-4797-b309-455658813d80">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="f61d0050-8460-473f-908d-93199d678df9"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Arial"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{div}]]></textFieldExpression>
			</textField>
			<textField pattern="dd-MMMM-yyyy">
				<reportElement x="250" y="0" width="99" height="15" uuid="2312a9b0-396c-424e-a038-1f720a142cd7">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="be5a5680-268f-4762-9243-4b5fa6f17752"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Arial"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{tglbutuh} == null ? "" : new SimpleDateFormat("dd-MMMM-yyyy", new java.util.Locale("id")).format($F{tglbutuh})]]></textFieldExpression>
			</textField>
			<textField pattern="dd-MMMM-yyyy" isBlankWhenNull="true">
				<reportElement x="349" y="0" width="56" height="15" uuid="d7a7909f-5286-4d92-819d-d2b393a73f4b">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="be5a5680-268f-4762-9243-4b5fa6f17752"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Arial"/>
				</textElement>
			</textField>
			<textField pattern="dd-MMMM-yyyy" isBlankWhenNull="true">
				<reportElement x="405" y="0" width="75" height="15" uuid="48419c0f-879f-4225-8291-e54803735488">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="be5a5680-268f-4762-9243-4b5fa6f17752"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Arial"/>
				</textElement>
			</textField>
			<textField pattern="dd-MMMM-yyyy" isBlankWhenNull="true">
				<reportElement x="480" y="0" width="70" height="15" uuid="07b40f31-ebbc-41cb-84ff-feceb1e5584c">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="be5a5680-268f-4762-9243-4b5fa6f17752"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Arial"/>
				</textElement>
			</textField>
		</band>
	</detail>
	<pageFooter>
		<band height="88" splitType="Stretch"/>
	</pageFooter>
	<summary>
		<band height="42" splitType="Stretch"/>
	</summary>
</jasperReport>
